:root {
    --roboto: "Roboto Flex", sans-serif;
    --roboto-100: 100;
    --roboto-200: 200;
    --roboto-300: 300;
    --roboto-400: 400;
    --roboto-500: 500;
    --roboto-600: 600;
    --roboto-700: 700;
    --roboto-800: 800;
    --roboto-900: 900;
    --roboto-1000: 1000;
    --oswald: "Oswald", sans-serif;
    --oswald-200: 200;
    --oswald-300: 300;
    --oswald-400: 400;
    --oswald-500: 500;
    --oswald-600: 600;
    --oswald-700: 700;
    --red: #ff0000;
    --red-dark: #A00000;
    --yellow: #ffee00;
    --yellow-dark: #ffd900;
    --green: #25df00;
    --green-dark: #1ba100;
    --blue: #287eff;
    --blue-dark: #005de7;
    --dark: #212121;
    --grey: #f1f1f1;
    --grey-dark: #3d3d3d;
    --grey-lighter: #6d6d6d;
    --grey-lightest: #acacac;
    --lighter: #e7e7e7;
    --light: #f1f1f1;
    --pink: #ff6f61;
}

/* GENERAL */

html {
    scroll-padding-top: 105px;
    width: 100%;
    overflow-x: hidden;
}
body {
    margin: 0;
    padding: 0;
    width: 100%;
    /* overflow-x: hidden; */
}
img, iframe, video {
    max-width: 100%;
    height: auto;
    display: block;
}
img.img-presonalizzato {
    max-width: 30% !important;
}
* {
    box-sizing: border-box;
    font-optical-sizing: auto;
}
@media (min-width: 1400px) {
    .container {
        max-width: 80%;
    }
}
.empty {
    min-height: 70dvh;
}
@media (min-width: 1200px){
    .scrolling-text-wrapper {
        max-height: 40dvh;
        height: 40dvh;
        width: 100%;
        position: relative;
        overflow: visible;
    }
    .custom-scroll-content {
        max-height: 100%;
        overflow-y: auto;
        padding-right: 20px;
        box-sizing: border-box;
        word-wrap: break-word;
        white-space: normal;
        line-height: 1.4;
    }
    .custom-scroll-content::-webkit-scrollbar {
        width: 0;
        height: 0;
        background: transparent;
    }
    .custom-scroll-content {
        scrollbar-width: none;
        -ms-overflow-style: none;
    }
    .custom-scrollbar-track {
        position: absolute;
        top: 0;
        right: 0;
        width: 5px;
        height: 100%;
        background: transparent;
        border-radius: 0;
        z-index: 50;
        pointer-events: none;
    }
    .custom-scrollbar-thumb {
        position: absolute;
        width: 100%;
        background: #acacac;
        border-radius: 0;
        transform: translateY(0);
        transition: none;
        cursor: default;
        pointer-events: auto;
    }
    .custom-scrollbar-arrow {
        position: absolute;
        right: -7px;
        width: 20px;
        height: 20px;
        text-align: center;
        line-height: 18px;
        color: #ffffff;
        font-size: 12px;
        cursor: pointer;
        user-select: none;
        z-index: 60;
        background: #acacac;
        border-radius: 0;
        display: flex;
        align-items: center;
        justify-content: center;
        transition: background 0.2s;
    }
    .custom-scrollbar-arrow:hover {
        background: #8c8c8c; /* slightly darker on hover */
    }
    .custom-scrollbar-arrow.up {
        top: 0px;
    }
    .custom-scrollbar-arrow.down {
        bottom: 0px;
    }
}
@media (min-width: 1250px){
    .beautynews-wrapper {
        max-width: 888px;
    }
}
.mt-5-double {
    margin-top: 6rem;
}
.mb-5-double {
    margin-bottom: 6rem;
}
#scroll-top {
    position: fixed;
    width: 50px;
    height: 50px;
    background-color: #ff0000;
    color: #ffffff;
    left: 0;
    bottom: 0;
    z-index: 999;
    opacity: 0;
    visibility: hidden;
    transform: translateY(50px);
    transition: all 0.5s cubic-bezier(0.175, 0.885, 0.32, 1.275);
}
#scroll-top.active {
    opacity: 1;
    visibility: visible;
    transform: translateY(0);
    transition: .3s ease all;
}
#scroll-top.active:hover {
    background-color: #ffffff !important;
    color: #202020 !important;
    transition: .3s ease all;
}
#scroll-progress-container {
    position: fixed;
    /* top will be set by JS */
    left: 0;
    width: 100%;
    height: 2px;
    background: transparent;
    z-index: 9999; 
    pointer-events: none;
}
#scroll-progress-bar {
    height: 100%;
    width: 0%;
    background-color: #A00000;
    transition: width 0.1s ease-out;
}
.close-button {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 34px;
    height: 34px;
}

/* TYOGRAPHY */

h1 span {
    /* font-size: clamp(2rem, 5vw + 1rem, 5.5rem); */
    font-size: clamp(3rem, 4vw + 1rem, 5.5rem);
}
.roboto {
    font-family: var(--roboto);
}
.roboto-100 {
    font-weight: var(--roboto-100);
}
.roboto-200 {
    font-weight: var(--roboto-200);
}
.roboto-300 {
    font-weight: var(--roboto-300);
}
.roboto-400 {
    font-weight: var(--roboto-400);
}
.roboto-500 {
    font-weight: var(--roboto-500);
}
.roboto-600 {
    font-weight: var(--roboto-600);
}
.roboto-700 {
    font-weight: var(--roboto-700);
}
.roboto-800 {
    font-weight: var(--roboto-800);
}
.roboto-900 {
    font-weight: var(--roboto-900);
}
.roboto-1000 {
    font-weight: var(--roboto-1000);
}
.oswald {
    font-family: var(--oswald);
}
.oswald-200 {
    font-weight: var(--oswald-200);
}
.oswald-300 {
    font-weight: var(--oswald-300);
}
.oswald-400 {
    font-weight: var(--oswald-400);
}
.oswald-500 {
    font-weight: var(--oswald-500);
}
.oswald-600 {
    font-weight: var(--oswald-600);
}
.oswald-700 {
    font-weight: var(--oswald-700);
}
.bouncing-arrow-wrapper {
    width: 60px;
    height: 60px;
}
.bounce-arrow {
    display: inline-block;
    animation: bounce-vertical 1.5s infinite;
}
@keyframes bounce-vertical {
    0% {
        transform: translateY(-10px);
    }
    50% {
        transform: translateY(5px);
    }
    100% {
        transform: translateY(-10px);
    }
}

/* COLOR SCHEME */

.bg-red {
    background-color: var(--red);
}
.bg-red-dark {
    background-color: var(--red-dark);
}
.text-red {
    color: var(--red);
}
.text-red-dark {
    color: var(--red-dark);
}
.bg-yellow {
    background-color: var(--yellow);
}
.bg-yellow-dark {
    background-color: var(--yellow-dark);
}
.text-yellow {
    color: var(--yellow);
}
.text-yellow-dark {
    color: var(--yellow-dark);
}
.bg-green {
    background-color: var(--green);
}
.bg-green-dark {
    background-color: var(--green-dark);
}
.text-green {
    color: var(--green);
}
.text-green-dark {
    color: var(--green-dark);
}
.bg-blue {
    background-color: var(--blue);
}
.bg-blue-dark {
    background-color: var(--blue-dark);
}
.text-blue {
    color: var(--blue);
}
.text-blue-dark {
    color: var(--blue-dark);
    background-color: rgb(33, 33, 33);
}
.bg-dark {
    background-color: var(--dark);
}
.text-dark {
    color: var(--dark);
}
.bg-grey {
    background-color: var(--grey);
}
.text-grey {
  color: var(--grey);
}
.bg-grey-dark {
    background-color: var(--grey-dark);
}
.text-grey-dark {
    color: var(--grey-dark);
}
.bg-grey-lighter {
    background-color: var(--grey-lighter);
} 
.text-grey-lighter {
    color: var(--grey-lighter);
}
.bg-grey-lightest {
    background-color: var(--grey-lightest);
} 
.text-grey-lightest {
    color: var(--grey-lightest);
} 
.bg-light {
    background-color: var(--light) !important;
}
.text-light {
    color: var(--light);
}
.text-pink {
    color: var(--pink);
}
.border-pink {
    border-color: var(--pink);
}
.bg-red-dark:hover {
    background-color: var(--red);
}
.bg-green-dark:hover {
    background-color: var(--green);
}
.bg-grey-dark:hover {
    background-color: var(--grey-lighter) !important;
}
.bg-grey-lighter:hover {
    background-color: var(--grey-dark);
}
.bg-lighter {
    background-color: var(--lighter);
}
a {
    text-decoration: none;  
}
.border-width-5 {
    border-width: 5px !important;
}
.btn.bg-red:hover {
    background-color: var(--grey-dark);
}

/* NAVBAR */

nav.navbar.sticky-top.breadcrumb-wrapper {
    z-index: 99;
}
.navbar {
    transition: .3s ease-in-out all;
}
.navbar.scrolled {
    background-color: red;
    box-shadow: 0 1px 5px rgba(0, 0, 0, .15);
    transition: .3s ease-in-out all;
}
.navbar-brand img {
    height: 79px;
    width: auto;
}
.navbar-toggler:focus {
    box-shadow: none !important;
}

/* HOME - VIDEO BG STYLES */

#home {
    position: relative;
    height: calc(100vh - 105px);
    padding: 0;
}
#inner-section {
    position: relative;
    height: calc(60vh - 105px);
    padding: 0;
}
#bg-vid .video-js {
    position: fixed;
    top: 50%;
    left: 50%;
    min-width: 100%;
    min-height: 100%;
    width: auto;
    height: auto;
    transform: translateX(-50%) translateY(-50%);
    transition: 1s opacity;
    max-width: none !important;
    object-fit: cover !important;
}
#bg-vid {
    position: fixed;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    display: block;
    object-fit: cover !important;
    box-sizing: border-box;
    filter: brightness(105%) !important;
    z-index: -1;
}
#bg-vid.laura-tamagni {
    top: 105px;
}
#slogan {
    position: relative;
    width: 100%;
    opacity: 1;
    transition: .3s linear all;
    z-index: 1;
}
.slogan-scrolled {
    opacity: 0 !important;
    transition: .3s linear all;
}
.main-logo {
    display: block;
    height: auto;
    filter: drop-shadow(1px 1px 3px rgba(0,0,0,.7));
}

/* MAIN */

.card {
    transition: .3s linear all;
}
.card:hover {
    box-shadow: 0px 0px 8px rgba(0,0,0,.15) !important;
    transition: .3s linear all;
}
.card-image-wrapper {
    overflow: hidden;
}
.card-image-wrapper img.blurred-image  {
    filter: blur(3px) opacity(80%);
}
.footer {
    color: #6c757d;
}
.footer img {
    max-height: 30px;
    height: auto;
}
.globelife-logo {
    max-height: 70px !important;
    margin: auto;
}
.social-link {
    text-decoration: none;
    font-size: 1.3rem;
    margin-right: 1rem;
    margin-left: 1rem;
    color: #212529;
    transition: .3s linear all;
}
.social-link:hover {
    color: var(--red-dark) !important;
    transition: .3s linear all;
}
.highlight {
    border: 2px solid #ff6f61 !important;
    box-shadow: 0 0 10px rgba(255, 111, 97, 0.6);
    animation: pulse 1s ease;
}
.footer {
    color: #6c757d;
}
@keyframes pulse {
    0% {
        transform: scale(1);
    }
    50% {
        transform: scale(1.02);
    }
    100% {
        transform: scale(1);
    }
}
.under-contruction {
    background-color: rgba(0,0,0,.35);
    box-shadow: none;
    transition: .3s linear all;
}
.under-contruction:hover {
    background-color: rgba(255,255,255,.5);
    box-shadow: 0 0 8px rgba(0,0,0,.15);
    transition: .3s linear all;
}
.under-contruction:hover h3 {
    color: var(--dark) !important;
    transition: .3s linear all;
}
.social-icon {
    max-width: 80px;
}
.social-slider {
    transition: .3s linear all;
}
.social-preview .overflow-hidden:hover .social-slider {
    transform: scale(1.2);
    transition: .3s linear all;
}

/* ACCORDIONS */

.accordion, .accordion * {
    border-radius: 0 !important;
}
.accordion-button:not(.collapsed) {
    color: var(--light);
    background-color: var(--grey-lightest);
    box-shadow: none;
}
.accordion-button {
    font-size: 1.4rem;
}
.accordion-button:focus {
    box-shadow: none;
}
.accordion-button:not(.collapsed)::after {
    filter: grayscale(100%) brightness(0%) invert(1);
}

/* GALLERY STYLES */

.gallery-image, .gallery-video {
    cursor: pointer;
    overflow: hidden;
    filter: brightness(100%);
}
.gallery-img-wrapper::after {
    content: "\f002";
    font-family: "Font Awesome 5 Free";
    font-weight: 900; 
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%) !important;
    color: #ffffff;
    font-size: 2rem;
    z-index: 3;
    opacity: 1;
    transform: scale(1);
    transition: .3s linear all;
    pointer-events: none;
}
.gallery-video::after {
    content: "\f144";
    font-family: "Font Awesome 5 Free";
    font-weight: 900; 
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%) !important;
    color: #ffffff;
    font-size: 2rem;
    z-index: 3;
    opacity: 1;
    transform: scale(1);
    transition: .3s linear all;
    pointer-events: none;
}
.gallery-img-wrapper:hover::after, .gallery-video:hover::after {
    transform: scale(8) !important;
    opacity: 0 !important;
    color: var(--red-dark) !important;
    transition: .3s linear all;
}
.gallery-img-wrapper img, .gallery-video img {
    transform: scale(1);
    filter: brightness(100%) !important;
    transition: .3s linear all;
}
.gallery-img-wrapper:hover img, .gallery-video:hover img  {
    transform: scale(1.2);
    filter: brightness(70%) !important;
    transition: .3s linear all;
}
.lg-video-cont {
    display: flex;
    align-items: center;
    justify-content: center;
    height: auto !important;
    max-height: 90vh;
}
#video-galleria .lg-video-cont .video-js {
    width: 100% !important;
    height: 0 !important;
    padding-bottom: 90vh !important; 
}
video.video-in-evidenza::-webkit-media-controls {
    opacity: 1 !important;
}
video.video-in-evidenza::-webkit-media-controls-panel {
    opacity: 1 !important;
    transition: none !important;
}
#video-in-evidenza .ratio::before {
    display: none !important;
}

/* SLICK SLIDER */

.slick-slide {
    line-height: 0;
    padding: 0 !important;
    margin: 0 !important;
}
.slick-slide img {
    display: block;
    width: 100%;
    height: auto;
}
.slick-track, .slick-list {
    height: auto !important;
}

/* FOLLOWERS */

.followers-wrapper {
    display: flex !important;
    width: 100% !important;
    max-width: 60%;
    justify-content: space-around !important;
}
@media (min-width: 1025px){
    .followers-wrapper .follower {
        flex: 1;
        /* width: 170px; */
        width: fit-content;
        text-align: center;
        margin: 10px;
    }
    .social-icon {
        font-size: 3rem !important;
    }
    .followers-wrapper .count {
        font-family: var(--oswald);
        font-size: 5rem;
        line-height: 5rem;
        font-weight: 700;
        display: inline-block;
        width: 100%;
        min-width: 60px;   
    }
}
@media (max-width: 1024px){
    .followers-wrapper {
        max-width: 80% !important;
    }
    .followers-wrapper .follower {
        flex: 1;
        text-align: center;
        margin: 10px;
    }
    .followers-wrapper .count {
        font-family: var(--oswald);
        font-size: 2rem;
        line-height: 2rem;
        font-weight: 600;
        display: inline-block;
        width: 100%;
        min-width: 60px;   
    }
}
@media (max-width: 650px){
    .followers-wrapper {
        max-width: 100% !important;
    }
    .lg-video-cont {
        display: flex;
        align-items: center;
        justify-content: center;
        height: auto !important;
        max-height: 100dvh !important;
    }
    #video-galleria .lg-video-cont .video-js {
        width: 100% !important;
        height: 0 !important;
        padding-bottom: 100dvh !important; 
    }
}

/* SOCIAL FEEDS */

.eapps-widget {
    position: relative;
    width: 100%;
}

/* INSTAGRAM PHOTOS */

.instagram-photos-wrapper .img-fluid {
    transform: scale(1);
    transition: .3s linear all;
}
.instagram-photos-wrapper:hover .img-fluid {
    transform: scale(1.2);
    transition: .3s linear all;
}
.instagram-photos-icon i {
    transform: scale(1);
    opacity: 1;
    transition: .3s linear all;
}
.instagram-photos-wrapper:hover i {
    transform: scale(8);
    opacity: 0;
    color: var(--red-dark) !important;
    transition: .3s linear all;
}

/* TOAST */

#liveToast {
    animation: popIn 0.6s ease;
    font-size: 1rem;
}
@keyframes popIn {
    0% {
        transform: scale(0.8) translate(-50%, -50%);
        opacity: 0;
    }
    50% {
        transform: scale(1.05) translate(-50%, -50%);
        opacity: 1;
    }
    100% {
        transform: scale(1) translate(-50%, -50%);
    }
}

/* CONTACT SECTION */

form .form-control {
    font-size: 1.3rem;
    padding: .5rem;
}
.form-control:focus {
    border-color: #ff6f61;
    box-shadow: 0 0 0 0.25rem rgba(255, 111, 97, 0.25);
}
.contact-section-buttons {
    min-width: 250px;
}
.contact-section-buttons.btn:focus-visible,.contact-section-buttons.btn:active {
    background-color: #212121 !important;
}
#idFieldsetProfession {
    display: none !important;
}
h4.contactFormTitle {
    font-family: var(--oswald) !important;
    font-size: 1.8rem !important;
    font-weight: var(--oswald-500) !important;
    letter-spacing: 0 !important;
    text-transform: uppercase;
}
a#policy-privacy {
    color: #cc0000 !important;
    font-family: var(--oswald) !important;
}

/* FOOTER IA */

.ia-footer-wrapper {
    padding: 0;
    text-align: center;
}
.ia-horizontal-layout {
    list-style: none;
    padding: 0;
    margin: 10px 0;
    display: flex; 
    justify-content: center;
    flex-wrap: wrap;
}
.ia-list-item {
    margin: 5px 10px;
}
.ia-link-anchor {
    font-family: var(--oswald);
    color: var(--red);
    text-decoration: none;
}
.ia-link-anchor:hover {
    color: var(--red-dark);
}

/* MEDIA */

@media (min-width: 1441px){
    .navbar-brand img {
        max-height: 80px;
    }
}
@media (max-width: 1440px){
    .navbar-brand img {
        max-height: 70px;
    }
}
@media (max-width: 1250px){
    .navbar-brand img {
        max-height: 60px;
    }
    html {
        scroll-padding-top: 120px;
    }
}
@media (max-width: 1199.98px){
    .navbar-collapse {
        position: absolute;
        top: 100%;
        left: 0;
        right: 0;
        padding-top: 1rem;
        padding-bottom: 1rem;
        border-top: 1px solid rgba(0, 0, 0, .15);
        z-index: 1000;
    }
}
@media (max-width: 1100px) and (orientation: landscape){
    .navbar-brand img {
        max-height: 50px;
    }
    html {
        scroll-padding-top: 75px;
    }
    #home {
        height: calc(100vh - 85px);
    }
    .display-1, .display-3 {
        font-size: calc(1.2rem + 3vw) !important;
    }
}
@media (max-width: 1024px) and (orientation: portrait){
    #home {
        height: calc(100vh - 85px);
    }
    html {
        scroll-padding-top: 85px;
    }
    #bg-vid {
        width: 100%;
    }
    .navbar-nav .dropdown-menu {
        position: relative;
        display: block;
        align-items: center;
        text-align: center;
    }
    .display-1, .display-3 {
        font-size: calc(1.2rem + 3vw) !important;
    }
}
@media (max-width: 650px){
    html {
        scroll-padding-top: 85px;
    }
    #home {
        height: calc(100vh - 85px);
    }
    .container, .empty {
        width: 92%;
        margin: 0 auto;
    }
    .footer-container {
        width: 100%;
    }
    .empty {
        margin: 0 auto;
    }
    .navbar-brand img {
        max-height: 50px;
    }
    .contact-form-buttons-wrapper {
        align-items: center;
        justify-content: center;
    }
    #slogan {
        padding-left: 1.5rem !important;
        padding-right: 1.5rem !important;
    }
    .fs-3 {
        font-size: calc(1.1rem + .6vw) !important;
    }
    .fs-4 {
        font-size: 1rem !important;
    }
    li.nav-item {
        text-align: center;
    }
    .followers-wrapper .follower {
        flex: 0 1 80px;
        text-align: center;
    }
    .follower i.bi, .follower .fa-brands {
        font-size: 2.2rem !important;
    }
    .followers-wrapper .count {
        font-size: 1.4rem;
    }
    .social-link {
        font-family: var(--oswald);
        font-size: .9rem !important;
        font-weight: 500 !important;
        text-transform: uppercase;
        margin-right: .5rem;
        margin-left: .5rem;
    }
    #hair-influencers .card-body {
        padding: .5rem;
    }
}
@media (max-width: 375px) {
    h1, .display-1 {
        line-height: 1.3rem;
        font-size: calc(1.1rem + 3.5vw) !important;
    }
}

@supports (-webkit-touch-callout: none) {
    .navbar {
        position: fixed;
        width: 100%;
        top: 0;
    }
    h1, .display-1 {
        line-height: 1.3rem;
        font-size: calc(1.1rem + 3.5vw) !important;
    }
    body {
        overflow-x: hidden;
    }
    @media (min-width: 1200px){
        .scrolling-text-wrapper {
            max-height: 28dvh;
            height: 28dvh;
            width: 100%;
            position: relative;
            overflow: visible;
        }
    }
}

@media (max-width: 767px) {
    .main-logo {
        width: 146px;
    }
}
@media (min-width: 768px) and (max-width: 1024px) {
    .main-logo {
        width: 190px;
    }
}
@media (min-width: 1025px) {
    .main-logo {
        width: 222px;
    }
}